Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
errori installazione Gnome
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
drudox
Apprentice
Apprentice


Joined: 28 Jan 2016
Posts: 264

PostPosted: Mon Jun 19, 2017 1:26 pm    Post subject: errori installazione Gnome Reply with quote

Salve a tutti !

Come ho detto nei topic precedenti ho installato gentoo in un altro pc (sempre un quad) sul quale ho dovuto installare i driver nouveau .. in quanto i driver nvidia non riescono a funzionare con questo kernel ..

Ho deciso in questa installazione di avere (oltre la il mio ambiente preferito i3 wm ) gnome con openRC .. ho seguito quindi questa guida https://wiki.gentoo.org/wiki/GNOME/GNOME_Without_systemd arrivato al punto di cambiare il profilo (ho scelto l'opzione 2 per i repository) do il comando

Code:
    emerge --deep --with-bdeps=y --changed-use --update --ask --verbose --exclude nvidia-drivers @world


come da guida .. ma ottengo diverse dipendenze che non riesco a risolvere ...

https://paste.pound-python.org/show/bEAqLiJluj2TyOyEjqKx/

qualcuno sa darmi una mano ??
Grazie infinite
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16903
Location: here

PostPosted: Mon Jun 19, 2017 2:25 pm    Post subject: Reply with quote

Per prima cosa devi disinstallare il pacchetto x11-misc/notification-daemon e poi aggiungere a emerge l'opzione --backtrack=300
Code:
# emerge -C x11-misc/notification-daemon
# emerge --deep --with-bdeps=y --changed-use --update --ask --verbose --exclude nvidia-drivers @world  --backtrack=300

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Apprentice
Apprentice


Joined: 28 Jan 2016
Posts: 264

PostPosted: Mon Jun 19, 2017 7:52 pm    Post subject: Reply with quote

niente da fare ... dopo

Code:

root /home/stronzo# emerge -C x11-misc/notification-daemon


https://paste.pound-python.org/show/wz1OLeblnBaMmxP93W7s/
Back to top
View user's profile Send private message
drudox
Apprentice
Apprentice


Joined: 28 Jan 2016
Posts: 264

PostPosted: Mon Jun 19, 2017 8:08 pm    Post subject: Reply with quote

Code:
[stronzo ~]$ sudo emerge -apv --depclean

 * Always study the list of packages to be cleaned for any obvious
 * mistakes. Packages that are part of the world set will always
 * be kept.  They can be manually added to this set with
 * `emerge --noreplace <atom>`.  Packages that are listed in
 * package.provided (see portage(5)) will be removed by
 * depclean, even if they are part of the world set.
 *
 * As a safety measure, depclean will not remove any packages
 * unless *all* required dependencies have been resolved.  As a
 * consequence of this, it often becomes necessary to run
 * `emerge --update --newuse --deep @world` prior to depclean.

Calculating dependencies... done!
 * Dependencies could not be completely resolved due to
 * the following required packages not being installed:
 *
 *   x11-misc/notification-daemon pulled in by:
 *     virtual/notification-daemon-0
 *
 *   =x11-misc/mate-notification-daemon-1.18*:0 pulled in by:
 *     mate-base/mate-1.18
 *
 * Have you forgotten to do a complete update prior to depclean? The
 * most comprehensive command for this purpose is as follows:
 *
 *   emerge --update --newuse --deep --with-bdeps=y @world
 *
 * Note that the --with-bdeps=y option is not required in many
 * situations. Refer to the emerge manual page (run `man emerge`)
 * for more information about --with-bdeps.
 *
 * Also, note that it may be necessary to manually uninstall
 * packages that no longer exist in the portage tree, since it may
 * not be possible to satisfy their dependencies.


8O
Back to top
View user's profile Send private message
drudox
Apprentice
Apprentice


Joined: 28 Jan 2016
Posts: 264

PostPosted: Mon Jun 19, 2017 8:09 pm    Post subject: Reply with quote

il fatto e` che vorrei avere anche MATE (de) installato
Back to top
View user's profile Send private message
drudox
Apprentice
Apprentice


Joined: 28 Jan 2016
Posts: 264

PostPosted: Mon Jun 19, 2017 8:47 pm    Post subject: Reply with quote

Code:
[blocks B      ] x11-misc/notification-daemon:* ("x11-misc/notification-daemon:*" is blocking x11-misc/mate-notification-daemon-1.18.0)

Total: 343 packages (16 upgrades, 96 new, 4 in new slots, 227 reinstalls), Size of downloads: 168615 KiB
Conflict: 2 blocks (1 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/glib:2

  (dev-libs/glib-2.52.2:2/52::dantrell-gnome, ebuild scheduled for merge) pulled in by
    >=dev-libs/glib-2.52.2:2 required by (dev-util/gdbus-codegen-2.52.2:0/0::dantrell-gnome, ebuild scheduled for merge)
    ^^              ^^^^^^^^                                                                                                                                                                     
    >=dev-libs/glib-2.34.3[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] required by (dev-util/pkgconfig-0.29.2:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                         
    >=dev-libs/glib-2.34.3:2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] required by (x11-libs/cairo-1.14.8:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                       
    (and 1 more with the same problems)

  (dev-libs/glib-2.50.3-r1:2/50::dantrell-gnome, ebuild scheduled for merge) pulled in by
    >=dev-libs/glib-2.30:2/50= required by (xfce-base/xfce4-appfinder-4.12.0-r1:0/0::gentoo, installed)
                        ^^^^^^                                                                                                             
    (and 4 more with the same problem)

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (x11-misc/notification-daemon-3.20.0:0/0::dantrell-gnome, ebuild scheduled for merge) pulled in by
    x11-misc/notification-daemon required by (virtual/notification-daemon-0:0/0::gentoo, ebuild scheduled for merge)

  (x11-misc/mate-notification-daemon-1.18.0:0/0::gentoo, ebuild scheduled for merge) pulled in by
    =x11-misc/mate-notification-daemon-1.18*:0 required by (mate-base/mate-1.18:0/0::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages



quale mettere in mask ?? :oops:
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16903
Location: here

PostPosted: Tue Jun 20, 2017 5:16 am    Post subject: Reply with quote

Prova a disattivare la use flag gnome a virtual/notification-daemon
Code:
# echo "virtual/notification-daemon -gnome" >> /etc/portage/package.use

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Apprentice
Apprentice


Joined: 28 Jan 2016
Posts: 264

PostPosted: Tue Jun 20, 2017 7:17 pm    Post subject: Reply with quote

cosi` va` !!! sei un grande !!!
Grazie ! alla prossima
Back to top
View user's profile Send private message
drudox
Apprentice
Apprentice


Joined: 28 Jan 2016
Posts: 264

PostPosted: Thu Jun 22, 2017 2:52 pm    Post subject: Reply with quote

Buongiorno a tutti

Ora gnome e` installato .. ma se tento di accedere dopo 3 secondi ricompare la schermata di lightdm .. in pratica gnome-shell crasha all avvio .. dal log di Xorg ho visto questo :
Code:

(EE) Failed to load module "nv" (module does not exist, 0)
(EE) Failed to load module "fbdev" (module does not exist, 0)
 (EE) Failed to load module "vesa" (module does not exist, 0)


dove li trovo nella compilazione del kernel ?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16903
Location: here

PostPosted: Thu Jun 22, 2017 7:12 pm    Post subject: Reply with quote

Puoi aprire un nuovo thread visto che e' un problema differente da quello del titolo?
Inoltre quando crei quello nuovo posta dmesg e Xorg.log con wgetpaste
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum